=== docs/docsite/requirements.txt ===
#pip packages required to build docsite
jinja2
PyYAML
rstcheck
sphinx==2.1.2 
sphinx-notfound-page
Pygments >= 2.4.0
straight.plugin # Needed for hacking/build-ansible.py which is the backend build script
antsibull >= 0.15.0
