=== test/units/requirements.txt ===
pycrypto
passlib
pywinrm
pytz
unittest2 ; python_version < '2.7'
pexpect
