=== collections-debian-merged/ansible_collections/ansible/netcommon/requirements.txt ===
ansible-pylibssh
jxmlease
ncclient
selectors2 ; python_version == '3.5'
netaddr
paramiko
xmltodict
