=== collections-debian-merged/ansible_collections/awx/awx/requirements.txt ===
pytz  # for tower_schedule_rrule lookup plugin
python-dateutil>=2.7.0  # tower_schedule_rrule
awxkit  # For import and export modules
