=== collections-debian-merged/ansible_collections/community/aws/requirements.txt ===
boto>=2.49.0
botocore>=1.12.249
boto3>=1.9.249
