=== collections-debian-merged/ansible_collections/google/cloud/requirements.txt ===
requests
google-auth
