=== collections-debian-merged/ansible_collections/junipernetworks/junos/requirements.txt ===
jxmlease
ncclient
paramiko
scp
xmltodict
