=== collections-debian-merged/ansible_collections/servicenow/servicenow/requirements.txt ===
pysnow
netaddr
