=== collections-debian-merged/ansible_collections/community/zabbix/molecule/requirements.txt ===
# Install CI dependencies for the Zabbix Roles
ansible==2.10.4
ansible-lint==4.3.7
docker==4.3.1
molecule==3.2.1
molecule-docker==0.2.4
netaddr==0.8.0
pytest-testinfra==6.1.0
zabbix-api==0.5.4
ipaddr==2.2.0
ipaddress==1.0.23
