=== debian/changelog ===
ansible (2.10.7+merged+base+2.10.8+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * Thanks to Christian Kastner for preparing this release.
  * Temporarily merge ansible-base and ansible source packages.
  * Remove 0006-remove-sphinx-notfound.patch (not needed)
  * Fix python interpreter discovery (Closes: #983140)
  * Fix "Mask default and fallback values for no_log module options"
    (CVE-2021-20228)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 19 Apr 2021 23:56:56 +0200

ansible (2.10.7-2) experimental; urgency=medium

  * Enable autopkgtests.
  * Fix SyntaxWarnings (Closes: #982682)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Mar 2021 18:09:54 +0100
