=== debian/changelog ===
ansible (2.10.7+merged+base+2.10.8+dfsg-1+11.0trisquel2) aramo; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 12:11:20 +0000
