## ansible 2.10.7+merged+base+2.10.17+dfsg

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
 endif
 
-PYTHON=python3
+PYTHON=python
 GENERATE_CLI = hacking/build-ansible.py generate-man
 
 # fetch version from project release.py as single source-of-truth
@@ -154,6 +154,9 @@
 	rm -f test/units/.coverage*
 	rm -rf test/results/*/*
 	find test/ -type f -name '*.retry' -delete
+	@echo "Cleaning up Debian building stuff"
+	rm -rf debian
+	rm -rf deb-build
 	rm -rf docs/json
 	rm -rf docs/js
 	@echo "Cleaning up docsite"
