=== collections-debian-merged/ansible_collections/cisco/iosxr/requirements.txt ===
lxml
ncclient
paramiko
