=== collections-debian-merged/ansible_collections/community/kubernetes/requirements.txt ===
openshift>=0.6.2
requests-oauthlib
