=== collections-debian-merged/ansible_collections/community/docker/tests/unit/requirements.txt ===
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'
