=== collections-debian-merged/ansible_collections/community/hrobot/tests/unit/requirements.txt ===
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# firewall module
ipaddress ; python_version < '3.3'
