=== collections-debian-merged/ansible_collections/community/network/tests/unit/requirements.txt ===
unittest2 ; python_version <= '2.6'

# requirements for ftd module_utils
firepower-kickstart ; python_version >= '3.6' and python_version < '3.9'  # Python 3.6+ only; dependency does not work with 3.9 yet

# requirements for FortiManager modules
pyFMG

# requirements for Nuage modules  - CURRENTLY BROKEN!
# vspk
# bambou

# requirements for routeros_api module
librouteros ; python_version >= '3.6'
