=== collections-debian-merged/ansible_collections/community/vmware/tests/unit/requirements.txt ===
pyvmomi
