=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ansible
-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 12~),
@@ -25,8 +25,8 @@
 #               sphinx-common,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git -b bullseye
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bullseye
 Homepage: https://www.ansible.com
 
 Package: ansible
