=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # - test/units/requirements.txt
 Depends: @,
          git,
-         python3-crypto,
          python3-cryptography,
          python3-jinja2,
          python3-mock,
@@ -14,11 +13,12 @@
          python3-pytest,
          python3-pytest-mock,
          python3-pytest-xdist,
+         python3-systemd,
          python3-tz,
          python3-winrm,
          python3-yaml
 
-Tests: unit-tests-stable
+Tests: unit-tests-stable.py
 Depends: @,
          git,
          python3-boto3,
@@ -29,7 +29,7 @@
          yamllint
 
 # failing tests due to missing packages or other reasons
-Tests: unit-tests-flaky
+Tests: unit-tests-flaky.py
 Depends: @,
          git,
          python3-boto3,
@@ -39,3 +39,43 @@
          python3-pyvmomi,
          yamllint
 Restrictions: flaky
+
+Tests: integration-tests-base
+Depends: @,
+         bsdextrautils,
+         git,
+         gnupg,
+         gzip,
+         iproute2,
+         locales,
+         procps,
+         python3-apt,
+         python3-cryptography,
+         python3-jinja2,
+         python3-junit.xml,
+         python3-mock,
+         python3-passlib,
+         python3-pexpect,
+         python3-pip,
+         python3-pycryptodome,
+         python3-pytest,
+         python3-pytest-mock,
+         python3-pytest-xdist,
+         python3-systemd,
+         python3-tz,
+         python3-virtualenv,
+         python3-winrm,
+         python3-yaml,
+         rsync,
+         sudo,
+         tar,
+         unzip,
+         zip,
+# some tests write warnings to STDERR
+# needs internet for testing e.g. ansible-galaxy or pip modules
+# needs root for many tests like apt or systemd module
+Restrictions:
+    breaks-testbed,
+    allow-stderr,
+    needs-internet,
+    needs-root
